package fyloz.trial.ColorRecipesExplorer.dao;

import fyloz.trial.ColorRecipesExplorer.model.Material;
import fyloz.trial.ColorRecipesExplorer.model.MixType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface MixTypeDao extends JpaRepository<MixType, Integer> {
    MixType findByTypeID(int id);

    MixType findByTypeName(String typeName);

    MixType findByMaterial(Material material);
}
